#
# spec file for package adobe-sourceserifpro-fonts
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name sourceserifpro
Name:           adobe-sourceserifpro-fonts
Version:        3.000
Release:        2.11
Summary:        A set of OpenType fonts designed for user interfaces
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://github.com/adobe-fonts/source-serif-pro/
Source:         https://github.com/adobe-fonts/source-serif-pro/releases/download/%{version}R/source-serif-pro-%{version}R.zip
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
A set of serif OpenType fonts designed to complement Source Sans Pro

%prep
%setup -q -c -n source-serif-pro-%{version}R
# Fix line endings
sed -i 's/\r$//g' LICENSE.md

%build

%install
install -d %{buildroot}%{_ttfontsdir}
# by default install command uses 755 umask
install -m 644 OTF/*.otf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%license LICENSE.md
%doc README.md
%dir %{_ttfontsdir}
%{_ttfontsdir}/*

%changelog
* Mon Aug 16 2021 Cor Blom <cornelis@solcon.nl>
- Revert update to Source Serif 4 and keep the pro version
  (boo#1189267)
* Wed Aug  4 2021 Cor Blom <cornelis@solcon.nl>
- Add 31-adobe-sourceserifpro.conf so that old name still works
* Thu Jul 29 2021 tiwai@suse.de
- Fix download URL again; we take the full source zip instead of
  each split release zip
* Thu Jul 29 2021 Cor Blom <cornelis@solcon.nl>
- Update description to reflect name change Source Sans
* Thu Jul 29 2021 Cor Blom <cornelis@solcon.nl>
- Update to 4.004:
  Major update with the following highlights:
  * Source Serif now has six weights across five optical sizes
  * Shift text master in design space
  * Change the family name from Source Serif Pro to Source Serif 4
* Sat Jun 15 2019 Cor Blom <cornelis@solcon.nl>
- Update to 3.000 (Roman and Italic have now the same version):
  Changes to Italic styles:
  * extend Latin character set from AL-3 to AL-4
  * add Cyrillic (covering AC-2)
  * add Greek (covering AG-1)
  Changes to Roman styles:
  * minor updates to spacing of modifer glyphs
  * updates to some Cyrillic characters as suggested by external
    advisors
  * minor updates to Cyrillic kerning
  * updates to some Greek characters as suggested by external
    advisors
  Global changes:
  * overhaul ccmp feature to decompose accented glyphs when
    followed by combining
  * mark, thus allowing double-stacking of accents (addresses
    [#41], #42)
  * add ccmp solution for Ukrainian її clash, also for Latin ïï
    (addresses #48)
  * add Bulgarian Cyrillic alternates both via locl and ss01 feature
    (addresses #20)
  * add Serbian/Macedonian Cyrillic alternates both via locl and
    ss02 feature
  Roman and Italic styles now support the same global character set,
  in both static and variable versions.
* Tue Jun  4 2019 Cor Blom <cornelis@solcon.nl>
- Update to 2.010 (Roman) and 1.010 (Italic):
  * Italic variant is added
  * small fixes, mainly bugfixes
- Only package OTF (like the Sans and Code variants of Source Pro)
* Mon Apr  9 2018 cornelis@solcon.nl
- Update to 2.000
  * Changes 1.017:
    + Add ExtraLight, Light and Black weights.
    + Semibold and Bold were made heavier.
    + Lcommaaccent and lcommaaccent were added (missing in first release).
  * Changes 2.000:
    + Increase character set to Adobe Latin 4.
    + Add Greek (AG-1) & Cyrillic (AC-2) writing systems.
    + Add Small Caps for all of the above.
    + Add superiors for Latin capitals.
- Update url to github.com
* Tue May 27 2014 robert.munteanu@gmail.com
- Initial version
